/*
* This code is released under the GNU General Public License.  See COPYING for 
* details.  Copyright 2003 John Spray: spray_john@users.sourceforge.net
*/


#ifndef CONFIG_H
#define CONFIG_H

class Visual;
class SoundCore;

class Config{
public:
	Config();
	void Load(char* configfile);
	void Dump(char* filename);
	int ParseArgs(int argc,char* argv[]);
	void Usage();
	void ConfigMenu(Visual* menuvisual,SoundCore* menusound);
	void ConfigMenuRes(Visual* menuvisual);
	int screenx;
	int screeny;
	int fullscreen;
	float volume;
	int verbose;
	int actslow;
	int bpp;
	int skipmenu;
	int drawfps;
	int texscale;
	int twoplayer;
	float mousespeed;
	struct{
		int turnleft;
		int turnright;
		int strafeleft;
		int straferight;
		int forward;
		int back;
		int firemissile;
		int firecannon;
		int camleft;
		int camright;
		int fullscreen;
		int togglegrab;
	} keys;
};

#endif //CONFIG_H

